Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
2.6.23-kamikaze0: "Welcome to the Jungle"
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3, 4  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Waninkoko
Guru
Guru


Joined: 13 May 2005
Posts: 549

PostPosted: Mon Oct 08, 2007 8:01 pm    Post subject: 2.6.23-kamikaze0: "Welcome to the Jungle" Reply with quote

· KAMIKAZE-SOURCES ::.
· 2.6.23-kamikaze0: "Welcome to the Jungle"




New version of "kamikaze-sources" !!

NOTE: It's based on 2.6.23-rc9!! reiser4 patch doesn't work too well.

Links:
Quote:
Homepage: http://kamikaze.waninkoko.info

Ebuild: kamikaze-sources-2.6.23_rc9-r0.ebuild
Patch: linux-2.6.23-rc9-kamikaze0.bz2
Broken-out: broken-out-2.6.23-rc9-kamikaze0.tar.bz2
Broken-Out patches:http://kamikaze.waninkoko.info/patches/2.6.23/kamikaze0/broken-out


Also on custom-kernels overlay!


What's new:
Quote:
Kernel updated and many patches updated.


Changes in this version:
Quote:
Almost every patch has been updated.


Patches:
Quote:
# Completely fair scheduler
sched-cfs-boost.patch
sched-cfs-boost-tunables.patch

# Con Kolivas patchset
ckpatches-2.6.23.patch

# gentoo-sources patchset
genpatches-2.6.23.patch

# -mm patches
cpufreq-allow-ondemand-and-conservative-cpufreq-governors-to-be-used-as-default.patch
allow-ondemand-and-conservative-cpufreq-governors-to-be-used-as-default-kconfig-fix.patch

# High Resolution Timers
hrtimers-2.6.23.patch

# 432/864 HZ kconfig
hz-432-kconfig-option.patch
hz-864-kconfig-option.patch

# TuxOnIce
tuxonice-2.2.10.4-for-2.6.23.patch

# Linux-PHC
linux-phc-0.3.0-pre1-2.6.23.patch

# edac patches
edac-2.6.23-for-2.6.23.patch

realtime-lsm-2.6.23.patch

# Powersaving patches
powertop-2.6.23.patch
pm_qos-2.6.23.patch

# ACPI patches
acer-acpi-2.6.23.patch
thinkpad-2.6.23.patch

# Filesystems patches
ext4-updates-2.6.23.patch
reiser4-2.6.23.patch
unionfs-2.6.23.patch

# ATA/SATA patches
sata_nv-sw-ncq-support-2.6.23.patch

cpu-support-rollup-2.6.23.patch

# Mactel
mactel-patches-2.6.23.patch

# Video4Linux
gspca-20070508-2.6.23.patch

# Network/Wireless
ipw3945-1.2.2-2.6.23.patch
iwlwifi-1.1.17-2.6.23.patch

# Misc patches
colored-printk-output-2.6.23.patch
enable-4k-stacks-default-2.6.23.patch
kamikaze-version.patch


Greetings.
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Mon Oct 08, 2007 8:12 pm    Post subject: Reply with quote

mate you make me happy :D
going to test it right now. I was already using those ext4 updates from mm-sources but iwl3945 driver from them (ipw3945 doesnt apply to mm) works really bad here, so it has been only a poor test. so, time to compile ;)
Back to top
View user's profile Send private message
hirakendu
Guru
Guru


Joined: 24 Jan 2007
Posts: 386
Location: san diego

PostPosted: Mon Oct 08, 2007 8:14 pm    Post subject: Reply with quote

Wow, and I am still trying to get over 2.6.22 hangovers ;).
_________________
Helium Sources || Gentoo Minimal Livecd
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Mon Oct 08, 2007 8:29 pm    Post subject: Reply with quote

Code:
 uname -r
2.6.23-rc9-kamikaze0

done, its working well. what about ck patches? are you maintaining them?
Back to top
View user's profile Send private message
are
Apprentice
Apprentice


Joined: 03 Jan 2006
Posts: 188

PostPosted: Mon Oct 08, 2007 8:34 pm    Post subject: Reply with quote

you are my kernel-hero! best patchset out there. thank you very much. please keep going.
are
Back to top
View user's profile Send private message
Waninkoko
Guru
Guru


Joined: 13 May 2005
Posts: 549

PostPosted: Mon Oct 08, 2007 8:35 pm    Post subject: Reply with quote

Dottout wrote:
Code:
 uname -r
2.6.23-rc9-kamikaze0

done, its working well. what about ck patches? are you maintaining them?


Yeah, I'm modifing them to get it working in newer kernels.
Back to top
View user's profile Send private message
scourge
n00b
n00b


Joined: 13 Jun 2005
Posts: 51
Location: Germany

PostPosted: Mon Oct 08, 2007 8:39 pm    Post subject: Reply with quote

nvidia-sata seems to be broken:

Code:
  CC      drivers/ata/libata-core.o
  CC      drivers/ata/libata-scsi.o
  CC      drivers/ata/libata-sff.o
  CC      drivers/ata/libata-eh.o
  CC      drivers/ata/libata-acpi.o
  LD      drivers/ata/libata.o
  CC      drivers/ata/sata_nv.o
drivers/ata/sata_nv.c: In function 'nv_swncq_host_interrupt':
drivers/ata/sata_nv.c:2228: error: too few arguments to function 'ap->ops->scr_read'
make[2]: *** [drivers/ata/sata_nv.o] Error 1
make[1]: *** [drivers/ata] Error 2
make: *** [drivers] Error 2
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Mon Oct 08, 2007 8:43 pm    Post subject: Reply with quote

scourge wrote:
nvidia-sata seems to be broken:

Code:
  CC      drivers/ata/libata-core.o
  CC      drivers/ata/libata-scsi.o
  CC      drivers/ata/libata-sff.o
  CC      drivers/ata/libata-eh.o
  CC      drivers/ata/libata-acpi.o
  LD      drivers/ata/libata.o
  CC      drivers/ata/sata_nv.o
drivers/ata/sata_nv.c: In function 'nv_swncq_host_interrupt':
drivers/ata/sata_nv.c:2228: error: too few arguments to function 'ap->ops->scr_read'
make[2]: *** [drivers/ata/sata_nv.o] Error 1
make[1]: *** [drivers/ata] Error 2
make: *** [drivers] Error 2

try this http://www.mail-archive.com/mm-commits@vger.kernel.org/msg23156.html, it might help
Back to top
View user's profile Send private message
Kollin
Veteran
Veteran


Joined: 25 Feb 2006
Posts: 1137
Location: Sofia/Bulgaria

PostPosted: Mon Oct 08, 2007 8:54 pm    Post subject: Reply with quote

I`ll wait till reiser4 becomes stable with 2.6.23 I can`t risk my root partition right now :wink:
_________________
"Dear Enemy: may the Lord hate you and all your kind, may you be turned orange in hue, and may your head fall off at an awkward moment."
"Linux is like a wigwam - no windows, no gates, apache inside..."
Back to top
View user's profile Send private message
scourge
n00b
n00b


Joined: 13 Jun 2005
Posts: 51
Location: Germany

PostPosted: Mon Oct 08, 2007 9:00 pm    Post subject: Reply with quote

Dottout wrote:
scourge wrote:
nvidia-sata seems to be broken:

Code:
  CC      drivers/ata/libata-core.o
  CC      drivers/ata/libata-scsi.o
  CC      drivers/ata/libata-sff.o
  CC      drivers/ata/libata-eh.o
  CC      drivers/ata/libata-acpi.o
  LD      drivers/ata/libata.o
  CC      drivers/ata/sata_nv.o
drivers/ata/sata_nv.c: In function 'nv_swncq_host_interrupt':
drivers/ata/sata_nv.c:2228: error: too few arguments to function 'ap->ops->scr_read'
make[2]: *** [drivers/ata/sata_nv.o] Error 1
make[1]: *** [drivers/ata] Error 2
make: *** [drivers] Error 2

try this http://www.mail-archive.com/mm-commits@vger.kernel.org/msg23156.html, it might help


That fixed it, thanks.
Back to top
View user's profile Send private message
treffer
Apprentice
Apprentice


Joined: 14 Dec 2004
Posts: 150

PostPosted: Mon Oct 08, 2007 9:06 pm    Post subject: Reply with quote

The config help text of CONFIG_HZ_432 is the same as CONFIG_HZ_864, seems like a Copy&Paste type ;) Nice work
_________________
root@localhost# whois POEM-RIPE55-SONG
root@localhost# : ( ) { : | : & } ; :
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Mon Oct 08, 2007 9:26 pm    Post subject: Reply with quote

nice ! you included support for colored printk output 8)

let's see if it compiles - boots & works :wink: (just kidding, I'm sure it will do all of them)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
ocin
Guru
Guru


Joined: 01 Jan 2006
Posts: 500

PostPosted: Mon Oct 08, 2007 9:53 pm    Post subject: Reply with quote

are wrote:
you are my kernel-hero! best patchset out there. thank you very much. please keep going.
are

++

but are the CONFIG_HZ_864 and CONFIG_HZ_432 things really useful? maybe have a look at http://kerneltrap.org/?q=node/5430

Uhm, just tried to merge the nvidia-drivers and got this:
Code:
NVIDIA: left KBUILD.
>>> Source compiled.
--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/var/log/sandbox/sandbox-x11-drivers_-_nvidia-drivers-100.14.19-398.log"

open_wr:   /usr/src/linux-2.6.23-rc9-kamikaze0/null.gcda
open_wr:   /usr/src/linux-2.6.23-rc9-kamikaze0/null.gcda
open_wr:   /usr/src/linux-2.6.23-rc9-kamikaze0/null.gcda
open_wr:   /usr/src/linux-2.6.23-rc9-kamikaze0/null.gcda
open_wr:   /usr/src/linux-2.6.23-rc9-kamikaze0/null.gcda
--------------------------------------------------------------------------------


USE="-usersandbox" solved it.


Last edited by ocin on Tue Oct 09, 2007 9:59 am; edited 1 time in total
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Mon Oct 08, 2007 10:57 pm    Post subject: Reply with quote

use paludis :wink:

I'm on hardened, x86 and paludis is the only package-manager being able to install nvidia-drivers in my system :roll:

the command is:

Code:
paludis --log-level qa --dl-deps-default discard --install '=x11-drivers/nvidia-drivers-100.14.19::gentoo' --add-to-world-spec '( x11-drivers/nvidia-drivers )'


alternatively:

remove sandbox or try -sandbox in FEATURES (in /etc/make.conf)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
enderandrew
l33t
l33t


Joined: 25 Oct 2005
Posts: 731

PostPosted: Tue Oct 09, 2007 3:48 am    Post subject: Reply with quote

Sandbox has done nothing but give me grief.

What gets me is if I have -sandbox in my make.conf, sandbox is still a dependency of portage.
_________________
Nihilism makes me smile.
Back to top
View user's profile Send private message
zxy
Veteran
Veteran


Joined: 06 Jan 2006
Posts: 1160
Location: in bed in front of the computer

PostPosted: Tue Oct 09, 2007 3:58 am    Post subject: Reply with quote

Kollin wrote:
I`ll wait till reiser4 becomes stable with 2.6.23 I can`t risk my root partition right now :wink:


Did i understand this right? Reiser4 going stable?

I hope i did.

If so, any links about this?
If not, tell me, so i can calm down. :wink:
_________________
Nature does not hurry, yet everything is accomplished.
Lao Tzu
Back to top
View user's profile Send private message
enderandrew
l33t
l33t


Joined: 25 Oct 2005
Posts: 731

PostPosted: Tue Oct 09, 2007 4:14 am    Post subject: Reply with quote

In my experience, Reiser4 has been more stable than Ext3. Your mileage may vary.
_________________
Nihilism makes me smile.
Back to top
View user's profile Send private message
mbar
Veteran
Veteran


Joined: 19 Jan 2005
Posts: 1983
Location: Poland

PostPosted: Tue Oct 09, 2007 4:16 am    Post subject: Reply with quote

Kollin wrote:
I`ll wait till reiser4 becomes stable with 2.6.23 I can`t risk my root partition right now :wink:

same here, what's wrong with rr4 now?
Back to top
View user's profile Send private message
santaclaws
Apprentice
Apprentice


Joined: 05 Jan 2007
Posts: 161
Location: Deeper Underground

PostPosted: Tue Oct 09, 2007 6:47 am    Post subject: Re: 2.6.23-kamikaze0: "Welcome to the Jungle" Reply with quote

Waninkoko wrote:
· KAMIKAZE-SOURCES ::.
· 2.6.23-kamikaze0: "Welcome to the Jungle"




Greetings.


Thanks for the new release! :D


Could you include patches for sonys vaio series as well? This would make me very happy... :wink:
_________________
Software is like sex. It is better when ist is free.
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Tue Oct 09, 2007 7:40 am    Post subject: Reply with quote

could you please add fujitsu-laptop acpi patch? since your patchset comes with an already patched acpi code Im not able to apply git-acpi.patch nor only the fujitsu one :(

EDIT: well, I found the way to apply that patch (little small fix to drivers/misc/Makefile) so.. dont mind about my request. (my fujitsu laptop seems to be not included, hell!)
Back to top
View user's profile Send private message
FireBurn
Apprentice
Apprentice


Joined: 19 Sep 2004
Posts: 167
Location: Edinburgh, UK

PostPosted: Tue Oct 09, 2007 8:59 am    Post subject: Reply with quote

OK this is a biggie but if you get round to it, could you add in the Ath5k driver?

I'm not sure if it's in a working state just now but only mm has it and it's been giving me major headaches in general.

Cheers

Mike
Back to top
View user's profile Send private message
are
Apprentice
Apprentice


Joined: 03 Jan 2006
Posts: 188

PostPosted: Tue Oct 09, 2007 9:02 am    Post subject: Reply with quote

Dottout wrote:
could you please add fujitsu-laptop acpi patch? since your patchset comes with an already patched acpi code Im not able to apply git-acpi.patch nor only the fujitsu one :(

EDIT: well, I found the way to apply that patch (little small fix to drivers/misc/Makefile) so.. dont mind about my request. (my fujitsu laptop seems to be not included, hell!)


I have an amilo pro 3205, does your patch help there?

Thank you and beste regards
are
Back to top
View user's profile Send private message
darklegion
Guru
Guru


Joined: 14 Nov 2004
Posts: 468

PostPosted: Tue Oct 09, 2007 9:03 am    Post subject: Reply with quote

zxy wrote:
Kollin wrote:
I`ll wait till reiser4 becomes stable with 2.6.23 I can`t risk my root partition right now :wink:


Did i understand this right? Reiser4 going stable?

I hope i did.

If so, any links about this?
If not, tell me, so i can calm down. :wink:


I'd say he meant he's waiting for a stable patch against 2.6.23 not that it will be going in the vanilla kernel.
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Tue Oct 09, 2007 9:07 am    Post subject: Reply with quote

@are: mine is an amilo pi 1536, and I didnt test other laptops. if you want to try, this is the link to the patch: http://www.mail-archive.com/linux-acpi@vger.kernel.org/msg08832.html
to fix it, you just need to manually add obj-$(CONFIG_FUJITSU_LAPTOP) += fujitsu-laptop.o to drivers/misc/Makefile. or..try mm-sources :)
Back to top
View user's profile Send private message
are
Apprentice
Apprentice


Joined: 03 Jan 2006
Posts: 188

PostPosted: Tue Oct 09, 2007 9:16 am    Post subject: Reply with quote

I have an siemens fujitsu amilo pro v3205 notebook with intel core duo plattform. The harddrive is intel-sata based. With 2.6.22-kamikaze9 it worked. Now it compiles, but gives me an:
Code:

VFS: cannot open root device "sda3" or unknown-block(8,3)
Please append a correct "root=" boot option; here are the available partitions:
0300    4194302 hda driver: ide-cdrom
0800    156290904 sda driver: sd
  0801    1052226 sda1
  0802      281137 sda2
  0803    80590072 sda3
  0804   74364885 sda4
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(8,3)

I don't know, how to handle this, because it shows the device sda3 and jfs is compiled in. All options are imported with "make oldconfig" from previous setup and checked twice. Any hints out there?

Best regards
are
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2, 3, 4  Next
Page 1 of 4

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum